import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:legacy_shared/src/data/repositories/legacy_shared_repository.dart';
import 'package:legacy_shared/src/data/repositories/legacy_shared_repository_impl.dart';

import 'legacy_shared_remote_datasource_provider.dart';

final legacySharedRepositoryProvider = Provider<LegacySharedRepository>((ref) {
  final remote = ref.read(legacySharedRemoteDatasourceProvider);
  return LegacySharedRepositoryImpl(remote);
});
